<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <title>HTML Basics</title>
        <link rel="stylesheet" href="style.css">
    </head>

    <body>
        <div id="wrapper">
            <div id="main">
                <div id="container">
                    <div id="content" role="main">

                        <header>
                            <img src="logo.png" alt="Epam company logo">
                            <h1><b>HTML Elements</b></h1>
                        </header>
                        <hr>

                        <nav id="menu">
                            <a href="#"><strong>Home</strong></a>
                            <a href="#headers"><strong>Headers</strong></a>
                            <a href="#table"><strong>Table</strong></a>
                            <a href="#list"><strong>List</strong></a>
                            <a href="#text-formats"><strong>Text formats</strong></a>
                            <a href="#blockquotes"><strong>Blockquotes</strong></a>
                        </nav>
                        <hr>

                        <div class="preview-block">
                            <p>Pay attention to h1 tag inside section element. Font-size for h1 is the same as font-size
                                for h2, because we have to use only one h1 on the page, and it is commonly used inside
                                header</p>
                            <div id="headers">
                                <h2>Header 2</h2>
                                <h3>Header 3</h3>
                                <h4>Header 4</h4>
                                <h5>Header 5</h5>
                                <h6>Header 6</h6>
                            </div>
                        </div>
                        <hr>

                        <p>
                            Lorem ipsum dolor sit amet, <a href="">test link</a> adipiscing elit. <strong>This is
                            strong.</strong> Nullam dignissim
                            convallis est. Quisque aliquam. <i>This is emphasized.</i> Donec faucibus. Nunc iaculis
                            suscipit
                            dui. <var>5<sup>3</sup></var> = <var>125</var>. Water is H2O. Nam sit amet sem. Aliquam
                            libero nisi, imperdiet at, tincidunt
                            nec, gravida vehicula, nisl. <cite>The New York Times</cite> (That&#39;s a citation).<u>Underline.</u>
                            Maecenas
                            ornare tortor. Donec sed tellus eget sapien fringilla nonummy. Mauris a ante. Suspendisse
                            quam sem, consequat at, commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus.
                        </p>
                        <br>
                        <p>
                            <abbr title="HyperText Markup Language">HTML</abbr> and <abbr
                                title="Cascading Style Sheets">CSS</abbr> are our tools. Mauris a
                            ante. Suspendisse quam sem, consequat at, commodo
                            vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus. Praesent mattis, massa quis
                            luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus. To copy a file
                            type <kbd>COPY</kbd> <i>filename</i>.
                            <del>Dinner&#39;s at 5:00.</del>
                            <ins>Let&#39;s make that 7.</ins>
                            This
                            <del>text</del>
                            has been struck.
                        </p>
                        <hr>

                        <section id="table">
                            <header>
                                <h2>Table</h2>
                            </header>
                            <table>
                                <tr>
                                    <th>Header</th>
                                    <th>Header</th>
                                    <th>Header</th>
                                </tr>
                                <tr>
                                    <td>Lviv</td>
                                    <td>Kyiv</td>
                                    <td>Kharkiv</td>
                                </tr>
                                <tr>
                                    <td>Odessa</td>
                                    <td>Zhytomyr</td>
                                    <td>Dnipropetrovsk</td>
                                </tr>
                                <tr>
                                    <td>Sumy</td>
                                    <td>Chernivtsi</td>
                                    <td>Lutsk</td>
                                </tr>
                            </table>
                        </section>

                        <div id="list">
                            <section>
                                <header>
                                    <h2>Unordered List</h2>
                                </header>
                                <ul>
                                    <li>List item 1</li>
                                    <li>List item 2
                                        <ul>
                                            <li>Some nested list item 1</li>
                                        </ul>
                                    </li>
                                    <li>List item 3</li>
                                </ul>
                            </section>

                            <section>
                                <header>
                                    <h2>Ordered List</h2>
                                </header>
                                <ol>
                                    <li>List item 1</li>
                                    <li>List item 2
                                        <ol type="A">
                                            <li>Some nested list item 1</li>
                                        </ol>
                                    </li>
                                    <li>List item 3</li>
                                </ol>
                            </section>

                            <section>
                                <header>
                                    <h3>Definition List</h3>
                                </header>
                                <dl>
                                    <dt>defines terms 1</dt>
                                    <dd>description 1</dd>
                                    <dt>defines terms 2</dt>
                                    <dd>description 2</dd>
                                </dl>
                            </section>

                            <label for="details">Details</label>
                            <select id="details">
                                <option value="details-html" selected>HTML</option>
                                <option value="details-css">CSS</option>
                                <option value="details-js">JS</option>
                            </select>
                            <hr>
                        </div>

                        <section id="text-formats">
                            <header>
                                <h2>Text formats</h2>
                                <h3>Article Text</h3>
                            </header>
                            <article>
                                <h2>Article title</h2>
                                <p>Article description</p>
                            </article>
                        </section>

                        <section>
                            <header>
                                <h3>Preformatted Text</h3>
                            </header>
                            <pre>
<b>Text</b>
  in a <b>pre</b> element
    is displayed in a fixed-width
font, and it preserves
both           spaces and
    line breaks
                            </pre>

                        </section>
                        <section>
                            <header>
                                <h3>Code</h3>
                            </header>
                            <pre><code>
.wrapper {
  display: flex;
  vertical-align: middle;
  justify-content: center;
}


                            </code></pre>
                        </section>

                        <section id="blockquotes">
                            <header>
                                <h2>Blockquotes</h2>
                            </header>
                            <p>Let&#39;s keep it simple. Italics are good to help set it off from the body text. Be sure
                                to style the citation.</p>
                            <blockquote>
                                "If you go back a few hundred years, what we take for granted
                                today would seem like magic-being able to talk to people over
                                long distances, to transmit images, flying, accessing vast
                                amounts of data like an oracle. These are all things that would
                                have been considered magic a few hundred years ago."<br/>
                                <a href="#">Elon Mask</a>
                            </blockquote>
                        </section>
                        <hr>

                        <form>
                            <div>
                                <label for="first-name">First name:</label>
                                <input type="text" name="first-name" id="first-name">
                            </div>
                            <div>
                                <label for="surname">Surname:</label>
                                <input type="text" name="surname" id="surname">
                            </div>
                            <div>
                                <label for="email">Email:</label>
                                <input type="email" name="email" id="email">
                            </div>
                            <div>
                                <label for="description"></label>
                                <textarea name="description" id="description" cols="30" rows="10"></textarea>
                            </div>
                            <div>
                                <button type="submit">Submit</button>
                            </div>
                        </form>

                        <footer>
                            © Copyright Epam Systems
                        </footer>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>